org.gjt.sp.jedit.bsh

## Class DelayedEvalBshMethod

- java.lang.Object
- - org.gjt.sp.jedit.bsh.BshMethod
  - - org.gjt.sp.jedit.bsh.DelayedEvalBshMethod

- All Implemented Interfaces:
    java.io.Serializable

      public class DelayedEvalBshMethod
      extends BshMethod

  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class[]` | `getParameterTypes()` Get the argument types of this method.
    `java.lang.String[]` | `getParamTypeDescriptors()`
    `java.lang.Class` | `getReturnType()` Get the return type of the method.
    `java.lang.String` | `getReturnTypeDescriptor()`

    - ### Methods inherited from class org.gjt.sp.jedit.bsh.BshMethod

      `getModifiers, getName, getParameterNames, hasModifier, invoke, invoke, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getReturnTypeDescriptor

          public java.lang.String getReturnTypeDescriptor()

    - #### getReturnType

          public java.lang.Class getReturnType()

      Description copied from class: `BshMethod`
      Get the return type of the method.
      Overrides:
        `getReturnType` in class `BshMethod`
      Returns:
        Returns null for a loosely typed return value, Void.TYPE for a void return type, or the Class of the type.

    - #### getParamTypeDescriptors

          public java.lang.String[] getParamTypeDescriptors()

    - #### getParameterTypes

          public java.lang.Class[] getParameterTypes()

      Description copied from class: `BshMethod`
      Get the argument types of this method. loosely typed (untyped) arguments will be represented by null argument types.
      Overrides:
        `getParameterTypes` in class `BshMethod`